<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <parent>
        <artifactId>PAMSimulator</artifactId>
        <groupId>net.ihe.gazelle.simulators</groupId>
        <version>10.1.1-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>PAMSimulator-ejb</artifactId>
    <packaging>ejb</packaging>
    <name>PAMSimulator - EJB - JAR</name>
    <properties>
        <jacoco.version>0.8.1</jacoco.version>
    </properties>
    <build>
        <plugins>

            <!-- It is for rest-service-doc -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>2.8</version>
                <executions>
                    <execution>
                        <id>generate-service-docs</id>
                        <phase>initialize</phase>
                        <goals>
                            <goal>javadoc</goal>
                        </goals>
                        <configuration>
                            <doclet>com.yammer.dropwizard.apidocs.ServiceDoclet</doclet>
                            <docletArtifact>
                                <groupId>gazelle.ihe.net.rest</groupId>
                                <artifactId>rest-service-doc-generator</artifactId>
                                <version>${rest-service-doc-version}</version>
                            </docletArtifact>
                            <reportOutputDirectory>../PAMSimulator-war/src/main/webapp</reportOutputDirectory>
                            <useStandardDocletOptions>false</useStandardDocletOptions>
                            <additionalparam>-apiVersion 1 -docBasePath ${server.url} -apiBasePath ${server.rest}
                            </additionalparam>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>1.7</source>
                    <target>1.7</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.graphwalker</groupId>
                <artifactId>graphwalker-maven-plugin</artifactId>
                <version>${graphwalker.version}</version>
            </plugin>

            <plugin>
                <groupId>org.apache.cxf</groupId>
                <artifactId>cxf-codegen-plugin</artifactId>
                <version>2.7.3</version>
                <executions>
                    <execution>
                        <id>generate-sources</id>
                        <phase>generate-sources</phase>
                        <configuration>
                            <sourceRoot>${project.build.directory}/generated-sources</sourceRoot>
                            <wsdlOptions>
                                <wsdlOption>
                                    <wsdl>${basedir}/src/main/resources/gitb/gitb_ms.wsdl</wsdl>
                                </wsdlOption>
                            </wsdlOptions>
                        </configuration>
                        <goals>
                            <goal>wsdl2java</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <argLine>${argLine} -Xmx1024m -XX:MaxPermSize=256m</argLine>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>${jacoco.version}</version>
                <executions>
                    <execution>
                        <id>pre-unit-test</id>
                        <goals>
                            <goal>prepare-agent</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>post-unit-test</id>
                        <phase>test</phase>
                        <goals>
                            <goal>report</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <version>1.4</version>
                <executions>
                    <execution>
                        <id>annotations</id>
                        <phase>generate-sources</phase>
                        <goals>
                            <goal>add-source</goal>
                        </goals>
                        <configuration>
                            <sources>
                                <source>${basedir}/target/generated-sources/annotations</source>
                            </sources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>
    <dependencies>
        <dependency>
            <groupId>net.ihe.gazelle.simulators</groupId>
            <artifactId>simulator-common-ejb</artifactId>
            <type>ejb</type>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.simulator.hl7</groupId>
            <artifactId>HL7Common-ejb</artifactId>
            <type>ejb</type>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.maven</groupId>
            <artifactId>PatientGeneration-ejb</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>sso-api-v7</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>cas-client-v7</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.maven</groupId>
            <artifactId>PatientGeneration-model</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.maven</groupId>
            <artifactId>gazelle-hl7-messagestructures</artifactId>
            <scope>provided</scope>
            <exclusions>
                <exclusion>
                    <artifactId>richfaces-ui</artifactId>
                    <groupId>org.richfaces.ui</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>richfaces-api</artifactId>
                    <groupId>org.richfaces.framework</groupId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- xerces dependency is required by hapi at runtime -->
        <dependency>
            <groupId>xerces</groupId>
            <artifactId>xercesImpl</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>servlet-api</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-entitymanager</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.jboss.resteasy</groupId>
            <artifactId>resteasy-jaxrs</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.jboss.resteasy</groupId>
            <artifactId>resteasy-jaxb-provider</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.scannotation</groupId>
            <artifactId>scannotation</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.jboss.ws</groupId>
            <artifactId>jbossws-api</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.jdom</groupId>
            <artifactId>jdom</artifactId>
        </dependency>
        <!-- C3P0 -->
        <dependency>
            <groupId>c3p0</groupId>
            <artifactId>c3p0</artifactId>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-c3p0</artifactId>
        </dependency>
        <!-- HL7v3 part -->
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>hl7v3-code-jar</artifactId>
            <version>${hl7v3.code.jar.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-log4j12</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>saxon9he</groupId>
                    <artifactId>net.sf.saxon</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>xcpd-plq-code-jar</artifactId>
            <version>${xcpdplq.code.jar.version}</version>
        </dependency>
        <!-- metadata v7 -->
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>metadata-v7</artifactId>
            <version>1.0.0</version>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>m2m-v7</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gum-client</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.spec.javax.ejb</groupId>
            <artifactId>jboss-ejb-api_3.1_spec</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.jboss.spec.javax.faces</groupId>
            <artifactId>jboss-jsf-api_2.1_spec</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.richfaces.ui</groupId>
            <artifactId>richfaces-components-ui</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.richfaces.core</groupId>
            <artifactId>richfaces-core-impl</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.graphwalker</groupId>
            <artifactId>graphwalker-core</artifactId>
            <version>${graphwalker.version}</version>
        </dependency>
        <dependency>
            <groupId>org.graphwalker</groupId>
            <artifactId>graphwalker-dsl</artifactId>
            <version>${graphwalker.version}</version>
        </dependency>
        <dependency>
            <groupId>org.graphwalker</groupId>
            <artifactId>graphwalker-io</artifactId>
            <version>${graphwalker.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>org.apache.commons</groupId>
                    <artifactId>commons-lang3</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.google.code.gson</groupId>
                    <artifactId>gson</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.graphwalker</groupId>
            <artifactId>graphwalker-java</artifactId>
            <version>${graphwalker.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.google.code.gson</groupId>
                    <artifactId>gson</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.tinkerpop.blueprints</groupId>
            <artifactId>blueprints-core</artifactId>
            <version>2.6.0</version>
        </dependency>
        <dependency>
            <groupId>org.opensymphony.quartz</groupId>
            <artifactId>quartz</artifactId>
        </dependency>
        <!-- use the same version of httpclient than fhir-->
<!--        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.5.3</version>
        </dependency>-->
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-fhir-utils</artifactId>
        </dependency>
        <!-- used to generate StructureDefinition for FHIR servers let on this app -->
        <dependency>
            <groupId>ca.uhn.hapi.fhir</groupId>
            <artifactId>hapi-fhir-validation-resources-dstu3</artifactId>
            <version>${hapi.fhir.version}</version>
        </dependency>
        <dependency>
            <groupId>ca.uhn.hapi.fhir</groupId>
            <artifactId>hapi-fhir-server</artifactId>
            <version>${hapi.fhir.version}</version>
        </dependency>
        <dependency>
            <groupId>ca.uhn.hapi.fhir</groupId>
            <artifactId>hapi-fhir-client</artifactId>
            <version>${hapi.fhir.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-dbcp2</artifactId>
            <version>2.1.1</version>
        </dependency>
        <!-- WS Trust integration -->
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-xua-actors-ejb</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>sequoia-security-adaptor-jar</artifactId>
            <version>1.0.1</version>
        </dependency>
        <dependency>
            <groupId>org.kohsuke.metainf-services</groupId>
            <artifactId>metainf-services</artifactId>
            <version>1.7</version>
        </dependency>
        <!-- apidocs -->
        <dependency>
            <groupId>com.wordnik</groupId>
            <artifactId>swagger-annotations_2.9.1</artifactId>
            <version>1.2.0</version>
        </dependency>
        <!-- fix for zulu-7 -->
        <dependency>
            <groupId>com.google.code.scriptengines</groupId>
            <artifactId>scriptengines-javascript</artifactId>
            <version>1.1.1</version>
        </dependency>

        <dependency>
            <groupId>com.h2database</groupId>
            <artifactId>h2</artifactId>
            <version>1.4.200</version>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>com.github.tomakehurst</groupId>
            <artifactId>wiremock-standalone</artifactId>
            <version>2.26.3</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <version>2.19.0</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.powermock</groupId>
            <artifactId>powermock-module-junit4</artifactId>
            <version>2.0.9</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.powermock</groupId>
            <artifactId>powermock-api-mockito2</artifactId>
            <version>2.0.9</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.0</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/net.sf.trove4j/trove4j -->
        <dependency>
            <groupId>net.sf.trove4j</groupId>
            <artifactId>trove4j</artifactId>
            <version>3.0.3</version>
        </dependency>
        <!--
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>GazelleHL7v2Validator-ejb</artifactId>
            <version>3.6.1-SNAPSHOT</version>
        </dependency>
        -->
        <dependency>
            <artifactId>gazelle-gdpr-ejb</artifactId>
            <groupId>net.ihe.gazelle</groupId>
            <version>1.5.0</version>
            <type>ejb</type>
        </dependency>
    </dependencies>
</project>
